## eapmd5pass 1.5

=== Makefile ===
CFLAGS		= -pipe -Wall -O2 -ggdb -g3
LDLIBS		= -lpcap -lcrypto
PROG		= eapmd5pass
PROGOBJ		= utils.o
PROGDSYM    = eapmd5pass.dSYM

all: $(PROGOBJ) $(PROG) 

utils.o: utils.c utils.h
	$(CC) $(CFLAGS) -c utils.c

eapmd5pass: eapmd5pass.c eapmd5pass.h utils.c utils.h
	$(CC) $(CFLAGS) -o eapmd5pass $(PROGOBJ) eapmd5pass.c $(LDLIBS)

clean:
	$(RM) $(PROG) $(PROGOBJ) *~
	$(RM) -r $(PROGDSYM)

strip:
	@strip $(PROG)

=== debian/changelog ===
eapmd5pass (1.5-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:02:13 +0200

eapmd5pass (1.5-0kali1) kali-dev; urgency=low

  * New upstream release.

 -- Kali Janitor <janitor@kali.org>  Fri, 25 Nov 2022 17:14:38 -0000

eapmd5pass (1.4-1kali7) kali-dev; urgency=medium

  * Build with --no-parallel

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Dec 2020 12:16:10 +0100

eapmd5pass (1.4-1kali6) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Dec 2020 11:00:20 +0100

eapmd5pass (1.4-1kali5) kali-dev; urgency=medium

  * Do not hardcode dependencies on C libraries.
  * Modernize packaging.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 24 Nov 2015 23:59:40 +0100

eapmd5pass (1.4-1kali4) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 07:53:28 -0500

eapmd5pass (1.4-1kali3) kali; urgency=low

  * Fixed build and install depends

 -- Devon Kearns <dookie@kali.org>  Mon, 19 Nov 2012 08:54:09 -0700

eapmd5pass (1.4-1kali2) kali; urgency=low

  * Fixed build and install depends

 -- Devon Kearns <dookie@kali.org>  Mon, 19 Nov 2012 08:42:32 -0700

eapmd5pass (1.4-1kali1) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 19 Nov 2012 08:19:16 -0700

=== debian/control ===
Source: eapmd5pass
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), libssl-dev, libpcap-dev
Standards-Version: 4.6.1
Homepage: https://www.willhackforsushi.com/?page_id=67

Package: eapmd5pass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for extracting and cracking EAP-MD5
 EAP-MD5 is a legacy authentication mechanism that does not provide sufficient
 protection for user authentication credentials.  Users who authenticate using
 EAP-MD5 subject themselves to an offline dictionary attack vulnerability.
 .
 This tool reads from a live network interface in monitor-mode, or from a
 stored libpcap capture file, and extracts the portions of the EAP-MD5
 authentication exchange.  Once the challenge and response portions have been
 collected from this exchange, eapmd5pass will mount an offline dictionary
 attack against the user's password.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/joswr1ght/eapmd5pass/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
